package request


type AlibabaWdkSyncedorderQueryRequest struct {
    /*
        门店ID     */
    StoreId  *string `json:"store_id,omitempty" required:"false" `
    /*
        序列号     */
    SerialNum  *string `json:"serial_num,omitempty" required:"false" `
}

func (s *AlibabaWdkSyncedorderQueryRequest) SetStoreId(v string) *AlibabaWdkSyncedorderQueryRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkSyncedorderQueryRequest) SetSerialNum(v string) *AlibabaWdkSyncedorderQueryRequest {
    s.SerialNum = &v
    return s
}

func (req *AlibabaWdkSyncedorderQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SerialNum != nil) {
        paramMap["serial_num"] = *req.SerialNum
    }
    return paramMap
}

func (req *AlibabaWdkSyncedorderQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}